Skip to main content
GET
/
api
/
v2
/
network
/
advertisers
List advertisers
curl --request GET \
  --url https://{domain}/api/v2/network/advertisers \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/advertisers"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "advertisers": [
      {
        "id": 123,
        "external_id": "<string>",
        "email": "<string>",
        "firstname": "<string>",
        "lastname": "<string>",
        "auth_key": "<string>",
        "access_token": "<string>",
        "expiration_time": "<string>",
        "contacts": "<string>",
        "custom_fields": "<string>",
        "account_balance": "<string>",
        "company_name": "<string>",
        "website_url": "<string>",
        "phone": "<string>",
        "image": "<string>",
        "notes": "<string>",
        "payment_details": "<string>",
        "status": 123,
        "api_status": 123,
        "api_key": "<string>",
        "country": 123,
        "region": "<string>",
        "city": "<string>",
        "address": "<string>",
        "postal_code": "<string>",
        "tags": "<string>",
        "ip": "<string>",
        "number_format_id": 123,
        "date_format_id": 123,
        "timezone": "<string>",
        "conversions": 123,
        "email_notifications": 123,
        "email_mailroom": 123,
        "created": 123,
        "updated": 123,
        "visited": 123,
        "activity": 123,
        "twoFA_enabled": 123,
        "require_postback_token": 123,
        "postback_token": "<string>",
        "registration": "<string>",
        "tags_selected": [
          {
            "id": "<string>",
            "title": "<string>"
          }
        ],
        "managers_assigned": "<string>",
        "country_selected": "<string>",
        "offers_count": 123,
        "live_stats": {
          "key": "<string>",
          "current": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          },
          "previous": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          }
        },
        "show_affiliate_details": 123
      }
    ]
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

sortField
string

Sort field.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Search by text or ID.

columns
string

Comma-separated column keys.

Response

Advertisers list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object